petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscQuadratureSetData

Sets the data defining the quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureSetData(PetscQuadrature q, PetscInt dim, PetscInt Nc, PetscInt npoints, const PetscReal points[], const PetscReal weights[])

Not collective

### Input Parameters

| q | - The PetscQuadrature object
| dim | - The spatial dimension
| Nc | - The number of components
| npoints | - The number of quadrature points
| points | - The coordinates of each quadrature point
| weights | - The weight of each quadrature point

Note: This routine owns the references to points and weights, so they must be allocated using PetscMalloc() and the user should not free them.

### See Also

PetscQuadratureCreate(), PetscQuadratureGetData()

### Level

intermediate

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages